Atualizar etapa do fluxo
Atualizar etapa do fluxo. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
PUT
/FlowStage/{id}Atualizar etapa do fluxo. Consulte abaixo parâmetros, corpo da requisição e respostas definidos no contrato OpenAPI.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
id | path | integer · int32 | Sim | — | — |
Corpo da requisição
Content type: application/json · Schema: FlowStageDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
flowId | integer · int32 | Não | — | — |
name | string | Não | — | aceita null |
order | integer · int32 | Não | — | — |
responsibleUserId | integer · int32 | Não | — | aceita null |
responsibleAgentId | integer · int32 | Não | — | aceita null |
isInitial | boolean | Não | — | — |
isFinal | boolean | Não | — | — |
color | string | Não | — | aceita null |
wipLimit | integer · int32 | Não | — | aceita null |
createdAt | string · date-time | Não | — | aceita null |
updatedAt | string · date-time | Não | — | aceita null |
Exemplo de requisição
curl --request PUT \
--url 'https://api.zild.ai/FlowStage/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"flowId": 0,
"name": "string",
"order": 0,
"responsibleUserId": 0,
"responsibleAgentId": 0,
"isInitial": true,
"isFinal": true,
"color": "string",
"wipLimit": 0,
"createdAt": "2026-09-22T18:00:00Z",
"updatedAt": "2026-09-22T18:00:00Z"
}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | OK | Nenhum corpo de resposta está definido. |
Modelos de dados
FlowStageDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
flowId | integer · int32 | Não | — | — |
name | string | Não | — | aceita null |
order | integer · int32 | Não | — | — |
responsibleUserId | integer · int32 | Não | — | aceita null |
responsibleAgentId | integer · int32 | Não | — | aceita null |
isInitial | boolean | Não | — | — |
isFinal | boolean | Não | — | — |
color | string | Não | — | aceita null |
wipLimit | integer · int32 | Não | — | aceita null |
createdAt | string · date-time | Não | — | aceita null |
updatedAt | string · date-time | Não | — | aceita null |